create or replace function p_alta_consumidor (pNIF character(12), pDireccion character(50), pCiudad character(50), 
                           pPais character(50),pCodigoContratoContador integer,DatosBancarios character(20),
                           CodigoEmpresaSubministradora integer,CodigoPais integer) RETURNS text AS $$
declare contador numeric;
       Rsp TEXT ;
begin
 select count(*) into contador from "Consumidores"
   where "NIF" = pNIF;
   
 if contador > 0 then
    Rsp:='ERROR: CONSUMIDOR YA EXISTE !!!';
 ELSE
    insert into "Consumidores" ("NIF", "Direccion","Ciudad","Pais","CodigoContratoContador","DatosBancarios",
                               "CodigoEmpresaSubministradora","CodigoPais")
                       values (pNIF, pDireccion, pCiudad,pPais,pCodigoContratoContador,DatosBancarios,
                               CodigoEmpresaSubministradora,CodigoPais );
    Rsp:='OK: el procedimiento ha sido un éxito';
 END IF;
 return Rsp;
end;
$$ LANGUAGE plpgsql;

select p_alta_consumidor('11111111F','Londres, 334 2º2º','Sevilla','Espanya',1,'ES422221443234444',1,1);
