create or replace function p_alta_contador(pModelo character(50), pCodigoContratoAsociado integer, pPotencia integer, pFechaUltimaInspeccion date,
                           pFechaInstalacion date,pNumeroSerie integer) RETURNS text AS $$
declare contador numeric;
       Rsp TEXT ;
begin
 select count(*) into contador from "Contadores"
   where "NumeroSerie" = pNumeroSerie
   and "CodigoContratoAsociado" = pCodigoContratoAsociado;
 if contador > 0 then
    Rsp:='ERROR: CONTADOR YA EXISTE !!!';
 ELSE
    insert into "Contadores" ("Modelo","CodigoContratoAsociado","Potencia","FechaUltimaInspeccion","FechaInstalacion","NumeroSerie")
                       values (pModelo,pCodigoContratoAsociado,pPotencia,pFechaUltimaInspeccion,pFechaInstalacion,pNumeroSerie);
    Rsp:='OK: el procedimiento ha sido un éxito';
 END IF;
 return Rsp;
end;
$$ LANGUAGE plpgsql;

select p_alta_contador('Modelo 1',11,300,'02/01/2014','02/01/2014',11);
