-- Procedimientos ABM
-- Alta país: p_alta_pais
-- Da de alta un país. En caso de que el país ya existiera mostraríamos un error “País existente”. 
-- En caso de que el país no exista se verificarán todos los campos que no admitan nulos

create or replace function p_alta_pais (p_nombrePais varchar) RETURNS text AS $$
declare contador numeric;
        Rsp TEXT ;
begin
 select count(*) into contador from "Paises"
   where "NombrePais" = p_nombrePais;
 if contador > 0 then
    Rsp:='ERROR: PAIS YA EXISTE !!!';
 else
    Insert into "Paises" ("NombrePais")  values(p_nombrePais);
    Rsp:='OK: el procedimiento ha sido un éxito';
 end if;
 return Rsp;
end;
$$ LANGUAGE plpgsql;

select p_alta_pais('Canada4');







