
create or replace function p_alta_precioEnergia (p_fecha date, p_hora time(6) with time zone, p_pais character(30), p_precio real) RETURNS text AS $$
declare contador numeric;
        Rsp TEXT ;
begin
 select count(*) into contador from "PrecioEnergia"
   where "Fecha" = p_fecha
   and "Hora" = p_hora
   and "Pais"=p_pais;
 if contador > 0 then
    Rsp:='ERROR: PRECIO YA EXISTE !!!';
 ELSE
    Insert into "PrecioEnergia" ("Fecha","Hora","Pais","PrecioKw")  values(p_fecha, p_hora, p_pais, p_precio);
    Rsp:='OK: el procedimiento ha sido un éxito';
 END IF;
 return Rsp;
end;
$$ LANGUAGE plpgsql;

select p_alta_precioEnergia('02/01/2014','10:30:00','Espanya',350.34);

