create or replace function p_baja_contador(pCodigoContratoAsociado integer, pNumeroSerie integer) RETURNS text AS $$
declare contador numeric;
       Rsp TEXT ;
begin
 select count(*) into contador from "Contadores"
   where "NumeroSerie" = pNumeroSerie
   and "CodigoContratoAsociado" = pCodigoContratoAsociado;
 if contador = 0 then
    Rsp:='ERROR: CONTADOR NO EXISTE !!!';
 ELSE
    DELETE FROM "Contadores" WHERE "CodigoContratoAsociado" = pCodigoContratoAsociado 
                               AND "NumeroSerie" = pNumeroSerie;
    Rsp:='OK: el procedimiento ha sido un éxito';
 END IF;
 return Rsp;
end;
$$ LANGUAGE plpgsql;

select p_baja_contador(1,1);
