create or replace function p_baja_logConexion (pFechaConexion date, pHoraConexion time(6) with time zone, pNumeroSerieContador integer) RETURNS text AS $$
declare contador numeric;
       Rsp TEXT ;
begin
 select count(*) into contador from "LogConexion"
   where "FechaConexion" = pFechaConexion
   and "HoraConexion" = pHoraConexion
   and "NumeroSerieContador" = pNumeroSerieContador;
   
 if contador = 0 then
    Rsp:='ERROR: LOG DE CONEXION NO EXISTE !!!';
 ELSE
    DELETE FROM "LogConexion" WHERE "FechaConexion" = pFechaConexion AND
                                     "HoraConexion" =  pHoraConexion AND
                                     "NumeroSerieContador" = pNumeroSerieContador;
                       
    Rsp:='OK: el procedimiento ha sido un éxito';
 END IF;
 return Rsp;
end;
$$ LANGUAGE plpgsql;

select p_baja_logConexion('10/01/2014','10:30:45',1);


