 -- Procedimientos ABM
-- Alta país: p_baja_pais
-- Da de baja un país. En caso de que el país no existiera mostraríamos un error “País no existente”. 

create or replace function p_baja_pais (p_nombrePais varchar) RETURNS text AS $$
declare contador numeric;
        Rsp TEXT ;
begin
 select count(*) into contador from "Paises"
   where "NombrePais" = p_nombrePais;
 if contador = 0 then
    Rsp:='ERROR: PAIS NO EXISTE !!!';
 else
    DELETE FROM "Paises" WHERE "NombrePais" = p_nombrePais;
    Rsp:='OK: el procedimiento ha sido un éxito';
 end if;
 return Rsp;
end;
$$ LANGUAGE plpgsql;

select p_baja_pais('Canada');