
create or replace function p_modificacion_precioEnergia (p_fecha date, p_hora time(6) with time zone, p_pais character(30), p_precio real) RETURNS text AS $$
declare contador numeric;
        Rsp TEXT ;
begin
 select count(*) into contador from "PrecioEnergia"
   where "Fecha" = p_fecha
   and "Hora" = p_hora
   and "Pais"=p_pais;
 if contador = 0 then
    Rsp:='ERROR: PRECIO NO EXISTE !!!';
 ELSE
    UPDATE "PrecioEnergia"
    SET "Fecha"=p_fecha,
	    "Hora" =p_hora,
		"Pais" = p_pais,
		"PrecioKw" = p_precio
	WHERE "Fecha" = p_fecha
      AND "Hora" = p_hora
      AND "Pais"=p_pais;	
    Rsp:='OK: el procedimiento ha sido un éxito';
 END IF;
 return Rsp;
end;
$$ LANGUAGE plpgsql;

select p_modificacion_precioEnergia('12/01/2014','00:40:05','Irlanda',12350.34);

