-- Procedimientos ABM
-- Alta empresa: p_alta_empresa
-- Da de alta una empresa. En caso de que la empresa ya existiera mostraríamos un error “Empresa existente”. 
-- En caso de que la empresa no exista se verificarán todos los campos que no admitan nulos

create or replace function p_alta_empresa (pNIF character(12), pNombre character(50),pDomicilioFiscal character(50),pPais character(50)) RETURNS text AS $$
declare contador numeric;
        Rsp TEXT ;
begin
 select count(*) into contador from "Empresas"
   where "NIF" = pNIF;
 if contador > 0 then
    Rsp:='ERROR: EMPRESA YA EXISTE !!!';
 else
    Insert into "Empresas" ("NIF", "Nombre", "DomicilioFiscal","Pais") 
	values(pNIF, pNombre, pDomicilioFiscal, pPais);
    Rsp:='OK: el procedimiento ha sido un éxito';
 end if;
 return Rsp;
end;
$$ LANGUAGE plpgsql;

select p_alta_empresa('"11111111A','Sonic S.L.','Avda Madrid, 233 2º1º','Espanya');
