
create or replace function p_alta_logConexion (pFechaConexion date, pHoraConexion time(6) with time zone, pNumeroSerieContador integer, 
                           pConsumoContador real,pResultatLectura character(2)) RETURNS text AS $$
declare contador numeric;
       Rsp TEXT ;
begin
 select count(*) into contador from "LogConexion"
   where "FechaConexion" = pFechaConexion
   and "HoraConexion" = pHoraConexion
   and "NumeroSerieContador" = pNumeroSerieContador;
   
 if contador > 0 then
    Rsp:='ERROR: LOG DE CONEXION YA EXISTE !!!';
 ELSE
    insert into "LogConexion" ("FechaConexion","HoraConexion","NumeroSerieContador","ConsumoContador","ResultatLectura")
                       values (pFechaConexion, pHoraConexion, pNumeroSerieContador,pConsumoContador,pResultatLectura);
    Rsp:='OK: el procedimiento ha sido un éxito';
 END IF;
 return Rsp;
end;
$$ LANGUAGE plpgsql;

select p_alta_logConexion('02/01/2014','02:01:05',1,550,'OK');

