create or replace function p_baja_consumidor (pNIF character(12)) RETURNS text AS $$
declare contador numeric;
       Rsp TEXT ;
begin
 select count(*) into contador from "Consumidores"
   where "NIF" = pNIF;
   
 if contador = 0 then
    Rsp:='ERROR: CONSUMIDOR NO EXISTE !!!';
 ELSE
    DELETE FROM "Consumidores" WHERE "NIF" = pNIF;
    Rsp:='OK: el procedimiento ha sido un éxito';
 END IF;
 return Rsp;
end;
$$ LANGUAGE plpgsql;

select p_baja_consumidor('11111111B');
