-- Procedimientos ABM
-- Baja empresa: p_baja_empresa
-- Da de baja una empresa. En caso de que la empresa no existiera mostraríamos un error “Empresa no existe”. 

create or replace function p_baja_empresa (pNIF character(12)) RETURNS text AS $$
declare contador numeric;
        Rsp TEXT ;
begin
 select count(*) into contador from "Empresas"
   where "NIF" = pNIF;
 if contador = 0 then
    Rsp:='ERROR: EMPRESA NO EXISTE !!!';
 else
    DELETE FROM "Empresas" WHERE "NIF" = pNIF; 
	Rsp:='OK: el procedimiento ha sido un éxito';
 end if;
 return Rsp;
end;
$$ LANGUAGE plpgsql;

select p_baja_empresa('"11111111A');