
create or replace function p_baja_precioEnergia (p_fecha date, p_hora time(6) with time zone, p_pais character(30)) RETURNS text AS $$
declare contador numeric;
        Rsp TEXT ;
begin
 select count(*) into contador from "PrecioEnergia"
   where "Fecha" = p_fecha
   and "Hora" = p_hora
   and "Pais"=p_pais;
 if contador = 0 then
    Rsp:='ERROR: PRECIO NO EXISTE !!!';
 ELSE
    DELETE FROM "PrecioEnergia"  WHERE "Fecha" = p_fecha 
	                               AND "Hora" = p_hora 
								   AND "Pais" = p_pais;
    Rsp:='OK: el procedimiento ha sido un éxito';
 END IF;
 return Rsp;
end;
$$ LANGUAGE plpgsql;

select p_baja_precioEnergia('02/01/2014','10:30:00','Espanya');


