create or replace function p_modificacion_contador(pModelo character(50), pCodigoContratoAsociado integer, pPotencia integer, pFechaUltimaInspeccion date,
                           pFechaInstalacion date,pNumeroSerie integer) RETURNS text AS $$
declare contador numeric;
       Rsp TEXT ;
begin
 select count(*) into contador from "Contadores"
   where "NumeroSerie" = pNumeroSerie
   and "CodigoContratoAsociado" = pCodigoContratoAsociado;
 IF contador = 0 then
    Rsp:='ERROR: CONTADOR NO EXISTE !!!';
 ELSE
    UPDATE "Contadores" 
	SET "Modelo" = pModelo ,
	    "CodigoContratoAsociado" = pCodigoContratoAsociado,
		"Potencia" =pPotencia,
		"FechaUltimaInspeccion"=pFechaUltimaInspeccion,
		"FechaInstalacion"=pFechaInstalacion,
		"NumeroSerie" = pNumeroSerie 
    WHERE "NumeroSerie" = pNumeroSerie
     AND "CodigoContratoAsociado" = pCodigoContratoAsociado;
	 
    Rsp:='OK: el procedimiento ha sido un éxito';
 END IF;
 return Rsp;
end;
$$ LANGUAGE plpgsql;

select p_modificacion_contador('Modelo 10000',10,300,'02/01/2014','02/01/2014',10);
