 
create or replace function p_modificacion_empresa (pNIF character(12), pNombre character(50),pDomicilioFiscal character(50),pPais character(50)) RETURNS text AS $$
declare contador numeric;
        Rsp TEXT ;
begin
 select count(*) into contador from "Empresas"
   where "NIF" = pNIF;
 if contador = 0 then
    Rsp:='ERROR: EMPRESA NO EXISTE !!!';
 else
    UPDATE "Empresas" 
	SET "NIF" = pNIF, 
	    "Nombre" = pNombre,
	    "DomicilioFiscal" = pDomicilioFiscal,
	    "Pais" = pPais 
	WHERE "NIF" = pNIF;
    Rsp:='OK: el procedimiento ha sido un éxito';
 end if;
 return Rsp;
end;
$$ LANGUAGE plpgsql;

select p_modificacion_empresa('11111111A','Sonic S.L.A.','Avda Madrid, 233 2º1º','Espanya');