
create or replace function p_modificacion_logConexion (pFechaConexion date, pHoraConexion time(6) with time zone, pNumeroSerieContador integer, 
                           pConsumoContador real,pResultatLectura character(2)) RETURNS text AS $$
declare contador numeric;
       Rsp TEXT ;
begin
 select count(*) into contador from "LogConexion"
   where "FechaConexion" = pFechaConexion
   and "HoraConexion" = pHoraConexion
   and "NumeroSerieContador" = pNumeroSerieContador;
   
 if contador = 0 then
    Rsp:='ERROR: LOG DE CONEXION NO EXISTE !!!';
 ELSE
    UPDATE "LogConexion" 
	SET "FechaConexion"=pFechaConexion,
	    "HoraConexion"=pHoraConexion,
		"NumeroSerieContador"=pNumeroSerieContador,
		"ConsumoContador"=pConsumoContador,
		"ResultatLectura"=pResultatLectura 
    WHERE "FechaConexion" = pFechaConexion
     AND "HoraConexion" = pHoraConexion
     AND "NumeroSerieContador" = pNumeroSerieContador;
                       
    Rsp:='OK: el procedimiento ha sido un éxito';
 END IF;
 return Rsp;
end;
$$ LANGUAGE plpgsql;

select p_modificacion_logConexion('10/02/2014','12:15:45',1,1000,'KO');


